public class RectangleTest {

	//=======================================
	//Tests

	public void testAccessingWidth() {
		prn("\n-- testAccessingWidth --");
		Rectangle rec;
		rec = new Rectangle();
		int w = 11;
		rec.setWidth(w);
		prn("Set width to " + w);
		prn("Actual Width: " + rec.getWidth());
	}

	public void testAccessingHeight() {
		prn("\n-- testAccessingHeight --");
		Rectangle rec;
		rec = new Rectangle();
		int h = 1011;
		rec.setHeight(h);
		prn("Set height to " + h);
		prn("Actual Height: " + rec.getHeight());
	}

	public void testComputeArea() {
		prn("\n-- testComputeArea --");
		Rectangle rec;
		rec = new Rectangle();
		int w, h;
		w = 10;
		h = 5;
		rec.setWidth(w);
		rec.setHeight(h);

		prn("Set width to " + w);
		prn("Set height to " + h);
		prn("Computed Area: " + rec.computeArea());
	}

	//=======================================
	//Helpers

	public void prn(Object o) {
		System.out.println(o);
	}

	//=======================================
	//Main

	public static void main(String[] args) {
		RectangleTest test = new RectangleTest();
		test.testAccessingWidth();
		test.testAccessingHeight();
		test.testComputeArea();
	}

}